package org.daligo.app;

import org.daligo.client.CenterClient;
import org.daligo.type.Message;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;
import android.widget.Toast;

public class MessageFormActivity extends Activity {

	protected OnClickListener saveListener = new OnClickListener() {
		@Override
		public void onClick(View v) {

			CenterClient centerClient = new CenterClient();
			Message newMessage = new Message();

			EditText editTextBody = (EditText) (findViewById(R.id.EditTextBody));
			newMessage.setBody(editTextBody.getText().toString());

			newMessage.setUserId(2);

			centerClient.createMessage(newMessage);

			Toast.makeText(MessageFormActivity.this, "Saved",
					Toast.LENGTH_SHORT).show();

		}
	};

	protected OnClickListener backListener = new OnClickListener() {
		@Override
		public void onClick(View v) {
			finish();
		}
	};

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.message_form_activity);

		this.findViewById(R.id.save_button).setOnClickListener(saveListener);
		this.findViewById(R.id.back_button).setOnClickListener(backListener);
	}
}
